<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Pearson Web Component</title>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width" />
    <link rel="stylesheet" href="https://unpkg.com/@pearson-ux/gravity-css" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/1.2.0/webcomponents-loader.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/1.2.0/custom-elements-es5-adapter.js"></script>
    <script src="https://unpkg.com/@pearson-ux/icon"></script>
    <script src="js/dist/pearson-select.js"></script>
  </head>

  <body>
  <form id="formid">
    <pearson-select label="This is the label">
      <option value="one">Option One</option>
      <option value="two">Option Two</option>
      <option value="three">Option Three</option>
      <option value="four">Option Four</option>
    </pearson-select>
  </form>

  <script>
    const selectNode = document.querySelector('pearson-select');
    selectNode.shadowRoot.addEventListener('change', event => {
      console.log(event.target.options)
    })
  </script>
  </body>
</html>


